import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { TimeTrackerService } from 'src/app/_services/time-tracker.service';

@Component({
  selector: 'app-stopwatch-controls',
  templateUrl: './stopwatch-controls.component.html',
  styleUrls: ['./stopwatch-controls.component.scss'],
  imports: [CommonModule, MatButtonModule],
  standalone: true
})
export class StopwatchControlsComponent {
  constructor(public timeTrackerService: TimeTrackerService) { }
}
