import { Component, Inject } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { MatButtonModule } from "@angular/material/button";
import { MatDialogModule, MatDialogRef, MAT_DIALOG_DATA } from "@angular/material/dialog";
import { MatFormFieldModule } from "@angular/material/form-field";
import { MatInputModule } from "@angular/material/input";

interface UrlData {
    url: string;
    name: string;
  }
  
  @Component({
    selector: 'url-dialog',
    templateUrl: 'url-dialog.component.html',
    standalone: true,
    imports: [MatDialogModule, MatFormFieldModule, MatInputModule, FormsModule, MatButtonModule],
  })
  export class UrlDialog {
    public data2: UrlData;
    constructor(
      public dialogRef: MatDialogRef<UrlDialog>,
      @Inject(MAT_DIALOG_DATA) public data: UrlData,
    ) {
        this.data2 = data;
    }

    cancel() {
        this.dialogRef.close();
    }
  }