import { Component, ContentChild, Input, TemplateRef } from '@angular/core';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'app-wrap-value',
  standalone: true,
  imports: [CommonModule],
  templateUrl: './wrap-value.component.html',
  styleUrls: ['./wrap-value.component.scss']
})
export class WrapValueComponent<T> {
  @Input() value?: T;
  @ContentChild(TemplateRef) template?: TemplateRef<any>;
}
